import { lottle } from "./jslibs/lottie";
import { TouchEventUtils } from "./TouchEventUtils";

const {ccclass, property} = cc._decorator;
// impor
@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    private lottle:lottle.xx;
    private ani:any;
    start () {
        // init logic
        // this.label.string = this.text;
        // console.log(lottle.xx) 
        this.lottle = new lottle.xx();
        // xx.sayHello();
        // // console.log('json url : ',cc.url.raw('resources/ae/data.json'));
        
        // xx.playAni('./assets/lottie/data.json');

        let bgNode = this.node.getChildByName("touchNode")
        if (bgNode){
            TouchEventUtils.disableThrough(bgNode, true);
            bgNode.height = cc.winSize.height
        }
        this.node.getChildByName("cocos").active = false;
        this.node.getChildByName("cocos").active = true;
    }
    playDemo1(){
        if (this.ani) {
            this.ani.destroy();
            this.ani = null;
        }
        this.ani = this.lottle.playAni('./assets/lottie/demo1.json')
        console.log('playDemo1',this.ani);
        
    }
    playDemo2(){
        if (this.ani) {
            this.ani.destroy();
            this.ani = null;
        }
        this.ani = this.lottle.playAni('./assets/lottie/demo2.json')
        console.log('playDemo2',this.ani);
    }
    clearAni(){
        if (this.ani) {
            this.ani.destroy();
            this.ani = null;
        }
    }
}
