"use strict";
cc._RF.push(module, '2f0ccFPuxxGton1i961NgLR', 'TouchEventUtils');
// Script/TouchEventUtils.ts

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MapNew = /** @class */ (function () {
    function MapNew() {
        this._arr = [];
    }
    MapNew.prototype.ctor = function () {
        this._arr = [];
    };
    MapNew.prototype.set = function (key, value) {
        var isHas = this.has(key);
        if (isHas) {
            var item = this.get(key);
            item.value = value;
            return;
        }
        this._arr.push({ key: key, value: value });
    };
    MapNew.prototype.get = function (key) {
        for (var i = 0; i < this._arr.length; i++) {
            var item = this._arr[i];
            if (item.key == key) {
                return item;
            }
        }
        return null;
    };
    MapNew.prototype.has = function (key) {
        for (var i = 0; i < this._arr.length; i++) {
            var item = this._arr[i];
            if (item.key == key) {
                return true;
            }
        }
        return false;
    };
    MapNew.prototype.delete = function (key) {
        var index = -1;
        for (var i = 0; i < this._arr.length; i++) {
            var item = this._arr[i];
            if (item.key == key) {
                index = i;
                break;
            }
        }
        if (index != -1) {
            this._arr.splice(index, 1);
        }
    };
    return MapNew;
}());
exports.MapNew = MapNew;
var TouchEventUtils = /** @class */ (function () {
    function TouchEventUtils() {
    }
    /** 禁止穿透 */
    TouchEventUtils.disableThrough = function (object, value) {
        var touchStart;
        if (!this.touchEnableds.has(object)) {
            touchStart = function (evt) {
                evt.stopPropagation();
            };
            this.touchEnableds.set(object, touchStart);
        }
        else {
            touchStart = this.touchEnableds.get(object);
        }
        var node = (object instanceof cc.Component) ? object.node : object;
        if (value) {
            node.off(cc.Node.EventType.TOUCH_START, touchStart, this);
            node.on(cc.Node.EventType.TOUCH_START, touchStart, this);
        }
        else {
            node.off(cc.Node.EventType.TOUCH_START, touchStart, this);
            this.touchEnableds.delete(object);
        }
    };
    /** 移除touchEnabled设置的事件 */
    TouchEventUtils.removeThroughEvent = function (object) {
        var touchStart = this.touchEnableds.get(object);
        var node = (object instanceof cc.Component) ? object.node : object;
        node.off(cc.Node.EventType.TOUCH_START, touchStart, this);
        this.touchEnableds.delete(object);
    };
    TouchEventUtils.touchEnableds = new MapNew();
    return TouchEventUtils;
}());
exports.TouchEventUtils = TouchEventUtils;

cc._RF.pop();